import express from "express";
import cors from "cors";
import helmet from "helmet";
import wapRoutes from "./routes/wap.routes";
import usersRoutes from "./routes/users.routes";
import companiesRoutes from "./routes/companies.routes";
import servicesRoutes from "./routes/services.routes";

const app = express();

app.use(helmet());
app.use(cors());
app.use(express.json());

app.use("/wap", wapRoutes);
app.use("/users", usersRoutes);
app.use("/companies", companiesRoutes);
app.use("/services", servicesRoutes);

export default app;
